<?php 
$textdoimain = 'theguide';
global $pre_text;

$pre_text = 'VG ';

//add

//Header Image
add_shortcode('header_image', 'header_image_func');
function header_image_func($atts, $content = null){
    extract(shortcode_atts(array( 
        'image' => '',
        'title' => '',
        'desc' => '',
        'link1' => '#',
        'textbutton1' => '',
        'link2' => '#',
        'textbutton2' => '', 
    ), $atts));
    ob_start(); 
    $images = wp_get_attachment_image_src($image,''); 
    ?> 
    <div class="header-image bg-img-index-header" style="background-image: url(<?php echo esc_url($images[0]);?>);">
        <div class="container">
          <h1><?php echo htmlspecialchars_decode(esc_attr($title));?></h1>
          <h5><?php echo htmlspecialchars_decode(esc_attr($desc));?></h5>
          <br><br><br><br>
          <p>
            <a class="btn btn-danger btn-lg" href="<?php echo esc_url($link1);?>" style="margin-right:12px;"><?php echo htmlspecialchars_decode(esc_attr($textbutton1));?></a>
            <a class="btn btn-dark btn-outline btn-lg hidden-xs" href="<?php echo esc_url($link1);?>"><?php echo htmlspecialchars_decode(esc_attr($textbutton2));?></a>
          </p>
        </div>
      </div>
      </header>
<?php  return ob_get_clean();
}  

add_shortcode('header_background', 'header_background_func');
function header_background_func($atts, $content = null){
    extract(shortcode_atts(array(  
        'title' => '',
        'desc' => '',
        'color' => 'green', 
    ), $atts));
    ob_start(); 
    ?> 
    <div class="header-image no-padding no-overlay bg-<?php echo esc_attr($color);?>">
        <div class="container">
          <br><br>
          <h1><?php echo htmlspecialchars_decode(esc_attr($title));?></h1>
          <h4><?php echo htmlspecialchars_decode(esc_attr($desc));?></h4>
          <br><br>
        </div>
      </div>
      <!-- END Header image -->
<?php  return ob_get_clean();
}  

add_shortcode('header_faq', 'header_faq_func');
function header_faq_func($atts, $content = null){
    extract(shortcode_atts(array(  
        'title' => '',
        'image' => '',
        'desc' => '', 
        'text_search' => '', 
    ), $atts));
    ob_start(); 
    $images = wp_get_attachment_image_src($image,''); 
    ?> 
    <div class="header-image bg-img-faq-header no-padding-bottom text-center" style="background-image: url(<?php echo esc_url($images[0]);?>);">
        <div class="container">
          <h1><?php echo htmlspecialchars_decode(esc_attr($title));?></h1>
          <h5><?php echo htmlspecialchars_decode(esc_attr($desc));?></h5>
          <br><br>
          <form id="faq-search" class="form-group" action="<?php echo esc_url(home_url('/')); ?>">
            <i class="fa fa-search fa-flip-horizontal1"></i>
            <input type="text" class="form-control" placeholder="<?php echo htmlspecialchars_decode(esc_attr($text_search));?>" value="<?php echo get_search_query() ?>" name="s" id="s">
          </form>
          <br><br><br>
        </div>
      </div>
      <!-- END Header image -->

    </header>
<?php  return ob_get_clean();
}  

add_shortcode('header_tutorial', 'header_tutorial_func');
function header_tutorial_func($atts, $content = null){
    extract(shortcode_atts(array( 
        'image' => '',
        'title' => '',
        'subtitle' => '',
        'desc' => '', 
    ), $atts));
    ob_start(); 
    $images = wp_get_attachment_image_src($image,''); 
    ?>  
    <div class="header-image bg-img-tutorial-header" style="background-image: url(<?php echo esc_url($images[0]);?>);">
        <div class="container">
          <h5><?php echo htmlspecialchars_decode(esc_attr($subtitle));?></h5>
          <h1><?php echo htmlspecialchars_decode(esc_attr($title));?></h1>
          <h4><?php echo htmlspecialchars_decode(esc_attr($desc));?></h4>
        </div>
      </div>
      <!-- END Header image -->

    </header>
<?php  return ob_get_clean();
}  

//features
add_shortcode('features', 'features_func');
function features_func($atts, $content = null){
    extract(shortcode_atts(array(
        'title' => '',
        'sub_title' => '',
        'icon' => '',
        'end' => 'no',
    ), $atts));
    ob_start(); 
    ?> 
    <div class="list-view-item">
                <i class="<?php echo esc_attr($icon);?> txt-gray"></i>
                <h5><?php echo htmlspecialchars_decode(esc_attr($title));?></h5>
                <p><?php echo htmlspecialchars_decode(esc_attr($sub_title));?></p>
              </div>
     <?php if ($end == 'no') {  ?>
              <br> 
              <?php } ?>
<?php  return ob_get_clean();
} 

//features
add_shortcode('features_image', 'features_image_func');
function features_image_func($atts, $content = null){
    extract(shortcode_atts(array(
        'image' => '', 
    ), $atts));
    ob_start(); 
    $images = wp_get_attachment_image_src($image,'');
    ?> 
    <div class="col-sm-4">
              <img src="<?php echo esc_url($images[0]);?>" alt="features">
            </div>
<?php  return ob_get_clean();
} 

add_shortcode('features_icon', 'features_icon_func');
function features_icon_func($atts, $content = null){
    extract(shortcode_atts(array(
        'title' => '',
        'sub_title' => '',
        'icon' => '',
    ), $atts));
    ob_start(); 
    ?>  
    <li>
      <div class="icon"><i class="<?php echo esc_attr($icon);?>"></i></div>
      <h5><?php echo htmlspecialchars_decode(esc_attr($title));?></h5>
      <p><?php echo htmlspecialchars_decode(esc_attr($sub_title));?></p>
    </li>
<?php  return ob_get_clean();
} 

add_shortcode('counter', 'counter_func');
function counter_func($atts, $content = null){
    extract(shortcode_atts(array(
        'title' => '',
        'icon' => '',
        'data_to' => '',
        'data_speed' => '',
    ), $atts));
    ob_start(); 
    ?> 
    <div class="counter color-alt col-md-3 col-sm-6">
              <i class="<?php echo esc_attr($icon);?>"></i>
              <p><span data-from="0" data-to="<?php echo esc_attr($data_to);?>" data-speed="<?php echo esc_attr($data_speed);?>">0</span>+</p>
              <h6><?php echo htmlspecialchars_decode(esc_attr($title));?></h6>
            </div>
<?php  return ob_get_clean();
} 

add_shortcode('code_view', 'code_view_func');
function code_view_func($atts, $content = null){
    extract(shortcode_atts(array(
        'title' => '',
        'subtitle' => '',
        'desc' => '',
        'text_content' => '',
        'link' => '',
        'textbutton' => '',
    ), $atts));
    ob_start(); 
    ?> 
    <div class="col-md-6 content-center">
              <header class="section-header text-left1" style="margin-bottom: 36px;">
                <span><?php echo htmlspecialchars_decode(esc_attr($subtitle));?></span>
                <h2><?php echo htmlspecialchars_decode(esc_attr($title));?></h2>
                <p><?php echo htmlspecialchars_decode(esc_attr($desc));?></p>
              </header>
              <p><?php echo htmlspecialchars_decode(esc_attr($text_content));?></p>

              <br>
              <p class="text-center"><a class="btn btn-outline1" href="<?php echo esc_url($link);?>"><?php echo htmlspecialchars_decode(esc_attr($title));?></a></p>
            </div>
<?php  return ob_get_clean();
} 
 
add_shortcode('testimonials', 'testimonials_func');
function testimonials_func($atts, $content = null){
    extract(shortcode_atts(array(
        'title' => '',
        'image' => '',
        'testimonials' => '',
    ), $atts));
    ob_start(); 
    $images = wp_get_attachment_image_src($image,'');
    ?> 
    <li>
              <img src="<?php echo esc_url($images[0]);?>" alt="avatar">
              <p><?php echo htmlspecialchars_decode(esc_attr($testimonials));?></p>
              <h6><?php echo htmlspecialchars_decode(esc_attr($title));?></h6>
            </li>
<?php  return ob_get_clean();
} 

add_shortcode('purchase', 'purchase_func');
function purchase_func($atts, $content = null){
    extract(shortcode_atts(array(
        'title' => '',
        'image' => '',
        'link' => '',
        'textbutton' => '',
    ), $atts));
    ob_start(); 
    $images = wp_get_attachment_image_src($image,'');
    ?> 
    <section id="sec-purchase" class="no-border-bottom bg-img-purchase bg-repeat text-center" style="background-image: url(<?php echo esc_url($images[0]);?>);">
        <div class="container">
          <h2 style="font-weight:200"><?php echo htmlspecialchars_decode(esc_attr($title));?></h2>
          <br><br>
          <a class="btn btn-lg btn-round btn-success" href="<?php echo esc_url($link);?>"> <?php echo htmlspecialchars_decode(esc_attr($textbutton));?> </a>
        </div>
      </section>
<?php  return ob_get_clean();
} 

add_shortcode('faq_item', 'faq_item_func');
function faq_item_func($atts, $content = null){
    extract(shortcode_atts(array(
        'title' => '',
        'subtitle' => '', 
    ), $atts));
    ob_start(); 
    ?> 
    <li>
              <h4><?php echo htmlspecialchars_decode(esc_attr($title));?></h4>
              <p><?php echo htmlspecialchars_decode(esc_attr($subtitle));?></p>
            </li>
<?php  return ob_get_clean();
} 