<?php
$theguide_redux_demo = get_option('redux_demo');
get_header(); ?>
<div class="header-image bg-purple no-overlay no-padding">
        <div class="container">
          <br><br>
          <h1><?php if(isset($theguide_redux_demo['blog_title'])){?>
              <?php echo html_entity_decode(esc_attr($theguide_redux_demo['blog_title']));?>
              <?php }else{?>
              <?php echo esc_html__( 'Blog Post', 'theguide' );
              }
              ?></h1>
          <h4><?php if(isset($theguide_redux_demo['blog_desc'])){?>
              <?php echo html_entity_decode(esc_attr($theguide_redux_demo['blog_desc']));?>
              <?php }else{?>
              <?php echo esc_html__( 'Latest updates and news about our product', 'theguide' );
              }
              ?></h4>
          <br><br>
        </div>
      </div>
    <main class="container">
      <div class="row">
        <div class="col-md-9 col-sm-9 main-content" role="main">
        <h3 style="text-align: center;"><?php
                        if ( is_day() ) :
                            printf( esc_html__( 'Daily Archives: %s', 'theguide' ), get_the_date() );

                        elseif ( is_month() ) :
                            printf( esc_html__( 'Monthly Archives: %s', 'theguide' ), get_the_date( esc_html_x( 'F Y', 'monthly archives date format', 'theguide' ) ) );

                        elseif ( is_year() ) :
                            printf( esc_html__( 'Yearly Archives: %s', 'theguide' ), get_the_date( esc_html_x( 'Y', 'yearly archives date format', 'theguide' ) ) );

                        else :
                            esc_html_e( 'Archives', 'theguide' );

                        endif;
                    ?></h3>
          <?php 
              while (have_posts()): the_post(); 
          ?> 
          <article class="post">
            <header>
              <h3><a href="<?php the_permalink();?>"><?php the_title();?></a></h3>
              <ul class="post-meta">
                <li><i><?php if(isset($theguide_redux_demo['blog_cate'])){?>
                        <?php echo esc_attr($theguide_redux_demo['blog_cate']);?>
                        <?php }else{?>
                        <?php echo esc_html__( 'Category:', 'theguide' );
                        }
                        ?> </i> <?php 
                            // Show all category for post
                            $i = 1; foreach((get_the_category()) as $category) { 
                            if ($i == 1){echo ''; }else {echo', ';}
                                echo '<span><a href="'.get_category_link($category->cat_ID).'">'.$category->category_nicename . ' '.'</a></span>'; 
                                
                                $i++;
                            } ?></li>
                <li><i><?php if(isset($theguide_redux_demo['blog_date'])){?>
                      <?php echo esc_attr($theguide_redux_demo['blog_date']);?>
                      <?php }else{?>
                      <?php echo esc_html__( 'Date:', 'theguide' );
                      }
                      ?> </i> <span><?php the_time(get_option( 'date_format' ));?></span></li>
                <?php if ( is_sticky() ) echo '<span class="sticky-post">' . esc_html__( 'Sticky', 'theguide' ) . '</span>'; ?>
              </ul>
            </header>
            <?php if ( has_post_thumbnail() ) { ?>
            <div class="post-media">
              <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="<?php the_title_attribute(); ?>">
            </div>
            <?php } ?>
            <div class="blog-content">
              <p><?php if(isset($theguide_redux_demo['blog_excerpt'])){?>
                  <?php echo esc_attr(theguide_excerpt($theguide_redux_demo['blog_excerpt'])); ?>
                  <?php }else{?>
                  <?php echo esc_attr(theguide_excerpt(50)); 
                  }
                  ?></p>
            </div>
            <p class="read-more">
              <a class="btn btn-primary btn-outline" href="<?php the_permalink();?>">
                <?php if(isset($theguide_redux_demo['read_more'])){?>
                <?php echo esc_attr($theguide_redux_demo['read_more']);?>
                <?php }else{?>
                <?php echo esc_html__( 'Continue reading', 'theguide' );
                }
                ?></a>
            </p>
          </article>
          <?php endwhile; ?>
          <ul class="pager">
          <?php theguide_pagination();?>
          </ul>
          <br><br>
        </div>
        <aside class="col-md-3 col-sm-3 sidebar">
          <?php get_sidebar();?>
        </aside>
      </div>
    </main>
    <?php
get_footer();
?>