<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains comments and the comment form.
/*
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() )
    return;
?>
<div id="comments">
<?php if ( have_comments() ) : ?>
            <header><h5><?php comments_number( esc_html__('0 Comments', 'theguide'), esc_html__('1 Comment', 'theguide'), esc_html__('% Comments', 'theguide') ); ?></h5></header>
            <ul id="list-comments">
              <?php wp_list_comments('callback=theguide_theme_comment'); ?>
            </ul>
<?php
                    // Are there comments to navigate through?
                    if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
                ?>
            <div class="text-center">
              <ul class="pagination">
                <li>
                  <?php //Create pagination links for the comments on the current post, with single arrow heads for previous/next
                  paginate_comments_links( array('prev_text' => '<i class="fa fa-angle-left"></i>', 'next_text' => '<i class="fa fa-angle-right"></i>'));  ?>
                </li> 
              </ul>
            </div>
<?php endif; // Check for comment navigation ?>
<?php if ( ! comments_open() && get_comments_number() ) : ?>
                    <p class="no-comments"><?php esc_html_e( 'Comments are closed.' , 'theguide' ); ?></p>
                <?php endif; ?> 
                <?php endif; ?> 
<?php
    if ( is_singular() ) wp_enqueue_script( "comment-reply" );
        $aria_req = ( $req ? " aria-required='true'" : '' );
        $comment_args = array(
                'id_form' => '',        
                'class_form' => 'comment-form',                         
                'title_reply'=> esc_html__('Leave a Comment', 'theguide'),
                'fields' => apply_filters( 'comment_form_default_fields', array(
                    'author' => '
                            <input class="form-control" type="text" name="author" placeholder="'.esc_attr__('Name', 'theguide').'"  >
                            ',
                    'email' => '   <input class="form-control" type="email" name="email" placeholder="'.esc_attr__('Email', 'theguide').'" >

                    ',   
                    'site' => ' <input class="form-control" type="text" name="url" placeholder="'.esc_attr__('Site', 'theguide').'">

                    ',                                                                       
                ) ),   
                'comment_field' => '<textarea class="form-control" name="comment"'.$aria_req.' rows="5" placeholder="'.esc_attr__('Comment', 'theguide').'"></textarea>',                    
                 'label_submit' => esc_html__('Post Comment', 'theguide'),
                 'comment_notes_before' => '',
                 'comment_notes_after' => '',               
        )
    ?> 
<?php comment_form($comment_args); ?> 
</div>