<!DOCTYPE html>
<html <?php language_attributes(); ?>>
  <head>
<?php 
$theguide_redux_demo = get_option('redux_demo'); 
?>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
        ?>
    <link rel="shortcut icon" href="<?php if(isset($theguide_redux_demo['favicon']['url'])){?><?php echo esc_url($theguide_redux_demo['favicon']['url']); ?><?php }?>">
    <?php }?>
    <?php wp_head(); ?> 
  </head>
  <body  <?php body_class(); ?>>
  <?php wp_body_open(); ?>
  <nav class="page-navigation full-topbar">
      <?php 
        wp_nav_menu( 
        array( 
              'theme_location' => 'navigation1',
              'container' => '',
              'menu_class' => '', 
              'menu_id' => '',
              'menu'            => '',
              'container_class' => '',
              'container_id'    => '',
              'echo'            => true,
               'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
               'walker'            => new theguide_wp_bootstrap_navwalker(),
              'before'          => '',
              'after'           => '',
              'link_before'     => '',
              'link_after'      => '',
              'items_wrap'      => '<ul class="nav %2$s">%3$s</ul>',
              'depth'           => 0,        
          )
       ); ?> 
    </nav>
    <header class="site-header">
      <nav class="site-navigation">
        <div class="container">
          <div class="logo">
            <a class="logo-default" href="<?php echo esc_url(home_url('/')); ?>">
            <?php $theguide_redux_demo = get_option('redux_demo');if(isset($theguide_redux_demo['logo']['url'])){?>
            <?php  if($theguide_redux_demo['logo']['url'] != ''){ ?>
            <img src="<?php echo esc_url($theguide_redux_demo['logo']['url']); ?>" alt="<?php bloginfo( 'name' ); ?>"/>
            <?php }else{ ?>
            <img src="<?php echo esc_url(get_template_directory_uri());?>/assets/img/logo.png" alt="<?php bloginfo( 'name' ); ?>"/>
            <?php }}else{ ?>
            <img src="<?php echo esc_url(get_template_directory_uri());?>/assets/img/logo.png" alt="<?php bloginfo( 'name' ); ?>"/><?php }?></a>
            <a class="logo-transparent" href="<?php echo esc_url(home_url('/')); ?>"><img src="<?php echo esc_url(get_template_directory_uri());?>/assets/img/logo-alt.png" alt="<?php bloginfo( 'name' ); ?>"></a>
          </div>
          <a class="navbar-toggle" href="#" data-toggle="offcanvas"><i class="fa fa-bars"></i></a>
          <?php 
            wp_nav_menu( 
            array( 
                  'theme_location' => 'primary',
                  'container' => '',
                  'menu_class' => '', 
                  'menu_id' => '',
                  'menu'            => '',
                  'container_class' => '',
                  'container_id'    => '',
                  'echo'            => true,
                   'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                   'walker'            => new theguide_wp_bootstrap_navwalker(),
                  'before'          => '',
                  'after'           => '',
                  'link_before'     => '',
                  'link_after'      => '',
                  'items_wrap'      => '<ul class="nav-menu %2$s">%3$s</ul>',
                  'depth'           => 0,        
              )
           ); ?> 
        </div>
      </nav>
    </header>