<?php
/**
 * The Template for displaying all single posts
 */
 $theguide_redux_demo = get_option('redux_demo');
get_header(''); ?>
<main class="container">
  <div class="row">
    <section class="col-md-9 col-sm-9 main-content" role="main">
    <?php 
        while (have_posts()): the_post(); 
        $blog_desc = get_post_meta(get_the_ID(),'_cmb_blog_desc', true);
    ?> 
      <header class="section-header">
        <span><?php the_author_posts_link(); ?>  - </span><time datetime=""><?php the_time(get_option( 'date_format' ));?></time>
        <h2><?php the_title();?></h2>
        <p><?php echo html_entity_decode(esc_attr($blog_desc));?></p>
      </header>
      <?php if ( has_post_thumbnail() ) { ?>
        <div class="post-media">
          <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="<?php the_title_attribute(); ?>">
        </div>
        <?php }?>
        <?php the_content(); ?>
        <?php wp_link_pages(); ?>
        <?php if(get_the_tag_list() !=''){?>
        <div class="post-tags">
        <p><strong><?php if(isset($theguide_redux_demo['blog_tag'])){?>
          <?php echo esc_attr($theguide_redux_demo['blog_tag']); ?>
          <?php }else{?>
          <?php echo esc_html__( 'Tag:', 'theguide' );
          }
          ?> </strong></p>
          <?php echo get_the_tag_list(); ?>
        </div>
      <?php }?>
      <?php endwhile; ?>
      <br><br>
      <ul class="pager">
        <li class="previous"><?php previous_post_link( '%link', esc_html__( 'Previous entry', 'theguide' ) ); ?></li>
        <li class="next"><?php next_post_link( '%link', esc_html__( 'Next entry', 'theguide' ) ); ?></li>
      </ul>
        <?php comments_template();?>
    </section>
    <aside class="col-md-3 col-sm-3 sidebar">
      <?php get_sidebar();?>
    </aside>
  </div>
</main>
<?php
get_footer();
?>